#
# spec file for package python3-easywatch
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-easywatch
Version:        0.0.3
Release:        4.3
Summary:        super simple directory monitoring
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/Ceasar/easywatch
Source:         https://files.pythonhosted.org/packages/source/e/easywatch/easywatch-%{version}.tar.gz
# taken from upstream
Patch0:         fix-python3-import.patch
BuildRequires:  python3-devel
Requires:       python3-watchdog
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
super simple directory monitoring

%prep
%setup -q -n easywatch-%{version}
%patch0 -p0

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sun May 31 2015 arun@gmx.de
- specfile:
  * added required package watchdog
* Sun May 31 2015 arun@gmx.de
- specfile:
  * added patch fix-python3-import.patch (taken from upstream)
* Sun May 31 2015 arun@gmx.de
- initial version
